/***************************************************************/
//
//
//		DirectX	[effect.h]
//
//										Author	kazuki tanaka
//										Date	2016 07/08
/*---------------------------------------------------------------
仭Update : 2016/07/08
			
/*-------------------------------------------------------------*/
#ifndef _LOCUS_H_

#define _LOCUS_H_

#define NUM_VERTEX (4)						// 捀揰悢
#define NUM_LOCUS (2)						// 億儕僑儞悢

//丂僒僽儖乕僠儞
void InitLocus( void );						// 抏偺弶婜壔
void UninitLocus( void );					// 抏偺廔椆張棟
void UpdateLocus( void );					// 抏偺峏怴
void DrawLocus( void );						// 抏偺昤夋
void SetLocus( const LPD3DXVECTOR2 pos, const float* radius, unsigned int life, D3DXCOLOR color );
											// 抏偺敪幩
void SetLocus( const LPD3DXVECTOR3 pos, const float radius, unsigned int life, D3DXCOLOR color );
											// VECTOR3梡


#endif	// _LOCUS_H_
